<div class="progress" ...attributes>
  {{#if @max}}
    {{#if @danger}}
      <div class="progress-bar bg-danger {{if @animated "progress-bar-animated"}} {{if @striped "progress-bar-striped"}}" role="progressbar" style={{this.dangerStyle}} aria-valuenow={{@danger}} aria-valuemin="0" aria-valuemax={{@max}}>
        {{yield}}
      </div>
    {{/if}}

    {{#if @warning}}
      <div class="progress-bar bg-warning {{if @animated "progress-bar-animated"}} {{if @striped "progress-bar-striped"}}" role="progressbar" style={{this.warningStyle}} aria-valuenow={{@warning}} aria-valuemin="0" aria-valuemax={{@max}}>
        {{yield}}
      </div>
    {{/if}}

    {{#if @success}}
      <div class="progress-bar bg-success {{if @animated "progress-bar-animated"}} {{if @striped "progress-bar-striped"}}" role="progressbar" style={{this.successStyle}} aria-valuenow={{@success}} aria-valuemin="0" aria-valuemax={{@max}}>
        {{yield}}
      </div>
    {{/if}}

    {{#if @info}}
      <div class="progress-bar bg-info {{if @animated "progress-bar-animated"}} {{if @striped "progress-bar-striped"}}" role="progressbar" style={{this.infoStyle}} aria-valuenow={{@info}} aria-valuemin="0" aria-valuemax={{@max}}>
        {{yield}}
      </div>
    {{/if}}

    {{#if @primary}}
      <div class="progress-bar {{if @animated "progress-bar-animated"}} {{if @striped "progress-bar-striped"}}" role="progressbar" style={{this.primaryStyle}} aria-valuenow={{@primary}} aria-valuemin="0" aria-valuemax={{@max}}>
        {{yield}}
      </div>
    {{/if}}
  {{/if}}
</div>